Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.dtfj.java
Interface JavaClass

    public interface JavaClass

Represents a Java class.

Author:
  pburka

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`JavaClassLoader` | `getClassLoader()` Fetch the class loader associated with this class.
`JavaClass` | `getComponentType()` For array classes, returns a JavaClass representing the component type of this array class.
`java.util.Iterator` | `getConstantPoolReferences()` Java classes may refer to other classes and to String objects via the class's constant pool.
`java.util.Iterator` | `getDeclaredFields()` Get the set of fields declared in this class.
`java.util.Iterator` | `getDeclaredMethods()` Get the set of methods declared in this class.
`ImagePointer` | `getID()` The ID of a class is a pointer to a section of memory which identifies the class.
`java.util.Iterator` | `getInterfaces()` Get the set of names of interfaces directly implemented by this class.
`int` | `getModifiers()` Return the Java language modifiers for this class.
`java.lang.String` | `getName()` Get the name of the class.
`JavaObject` | `getObject()` Fetch the java.lang.Class object associated with this class.
`java.util.Iterator` | `getReferences()` Get the set of references from this class.
`JavaClass` | `getSuperclass()` Get the immediate superclass of this class.
`int` | `hashCode()`
`boolean` | `isArray()` Is this an array class ?

Method Detail

### getObject

    JavaObject getObject()
                         throws CorruptDataException

  Fetch the java.lang.Class object associated with this class.

  In some implementations this may be null if no object has been created to represent this class, or if the class is synthetic.

  Returns:
    the java.lang.Class object associated with this class
  Throws:
    `CorruptDataException`
  See Also:
    `getID()`

### getClassLoader

    JavaClassLoader getClassLoader()
                                   throws CorruptDataException

  Fetch the class loader associated with this class. Classes defined in the bootstrap class loader (including classes representing primitive types or void) will always return a JavaClassLoader representing the bootstrap class loader. This asymmetry with java.lang.Class#getClassLoader() is intentional.

  Returns:
    the JavaClassLoader in which this class was defined
  Throws:
    `CorruptDataException` - if the class loader for this class cannot be found (a class cannot exist without a loader so this implies corruption)

### getName

    java.lang.String getName()
                             throws CorruptDataException

  Get the name of the class.

  Returns:
    the name of the class in the form: "full/package/class$innerclass"
  Throws:
    `CorruptDataException`

### getSuperclass

    JavaClass getSuperclass()
                            throws CorruptDataException

  Get the immediate superclass of this class.

  Returns:
    the immediate superclass of this class, or null if this class has no superclass. For interfaces, Object, primitive types and void null is always returned.
  Throws:
    `CorruptDataException`

### getInterfaces

    java.util.Iterator getInterfaces()

  Get the set of names of interfaces directly implemented by this class.

  Returns:
    an iterator over the collection of the names of interfaces directly implemented by this class. Some JVM implementations may choose to load interfaces lazily, so only the names are returned. The JavaClass objects may be found through the defining class loader.
  See Also:
    `String`, `JavaClassLoader.findClass(String)`, `CorruptData`

### getModifiers

    int getModifiers()
                     throws CorruptDataException

  Return the Java language modifiers for this class.

  The modifiers are defined by the JVM Specification.

  Note that, for inner classes, the actual modifiers are returned, not the synthetic modifiers. For instance, a class will never have its 'protected' modifier set, even if the inner class was a protected member, since 'protected' is not a legal modifier for a class file.

  Returns:
    the modifiers for this class
  Throws:
    `CorruptDataException`

### isArray

    boolean isArray()
                    throws CorruptDataException

  Is this an array class ?

  Returns:
    true if this class is an array class
  Throws:
    `CorruptDataException`

### getComponentType

    JavaClass getComponentType()
                               throws CorruptDataException

  For array classes, returns a JavaClass representing the component type of this array class.

  Returns:
    a JavaClass representing the component type of this array class
  Throws:
    `CorruptDataException`
    `java.lang.IllegalArgumentException` - if this JavaClass does not represent an array class

### getDeclaredFields

    java.util.Iterator getDeclaredFields()

  Get the set of fields declared in this class.

  Returns:
    an iterator over the collection of fields declared in this class.
  See Also:
    `JavaField`, `CorruptData`

### getDeclaredMethods

    java.util.Iterator getDeclaredMethods()

  Get the set of methods declared in this class.

  Returns:
    an iterator over the collection of methods declared in this class.
  See Also:
    `JavaMethod`, `CorruptData`

### getConstantPoolReferences

    java.util.Iterator getConstantPoolReferences()

  Java classes may refer to other classes and to String objects via the class's constant pool. These references are followed by the garbage collector, forming edges on the graph of reachable objects. This getConstantPoolReferences() may be used to determine which objects are referred to by the receiver's constant pool.

  Although Java VMs typically permit only Class and String objects in the constant pool, some esoteric or future virtual machines may permit other types of objects to occur in the constant pool. This API imposes no restrictions on the types of JavaObjects which might be included in the Iterator.

  No assumption should be made about the order in which constant pool references are returned.

  Classes may also refer to objects through static variables. These may be found with the getDeclaredFields() API. Objects referenced by static variables are not returned by getConstantPoolReferences() unless the object is also referenced by the constant pool.

  Returns:
    an iterator over the collection of JavaObjects which are referred to by the constant pool of this class
  See Also:
    `JavaObject`, `CorruptData`

### getID

    ImagePointer getID()

  The ID of a class is a pointer to a section of memory which identifies the class. The contents of this memory are implementation defined.

  In some implementations getID() and getObject().getID() may return the same value. This implies that the class object is also the primary internal representation of the class. DTFJ users should not rely on this behaviour.

  In some implementations, getID() may return null for some classes. This indicates that the class is a synthetic class which has been constructed for DTFJ purposes only. The class has no physical representation in the VM.

  Returns:
    a pointer to the class

### getReferences

    java.util.Iterator getReferences()

  Get the set of references from this class.

  Returns:
    an iterator of JavaReferences
  See Also:
    `JavaReference`, `CorruptData`

### equals

    boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` -
  Returns:
    True if the given object refers to the same Java Class in the image

### hashCode

    int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD